Subject: Ticket Assigned - Delayed pick up 3 weeks
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 27 Nov 2020 03:25:54 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delayed pick up 3 weeks Hi

I had requested for a return pick up.
Its been 3 weeks. No one came.

I went to mirdif to return and no one accepted it because in the systen it
says return online.
I called customer service and they said their system is down.
I want the shipment to be picked up within 2 workings days.
Immediately.

If this doesnt happen I will escalate the matter to the CEO

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1747681